package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.document.service.AuditRejectedResubmitService;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class DocumentLibraryJob {

    @Autowired
    AuditRejectedResubmitService auditRejectedResubmitService;

    /**
     * 拒审重提
     *
     * @param
     * @return
     * @throws
     * @author ZZY
     */
    @XxlJob("resubmitJob")
    public void execute() throws Exception {
        try {
            auditRejectedResubmitService.resubmit();
        } catch (Exception e) {
            log.info("清理完成完成");
        }

    }
}
